Skip to main content
POST
/
v1
/
installs
/
{install_id}
/
action-workflows
/
runs
create an action workflow run for an install
curl --request POST \
  --url https://api.nuon.co/v1/installs/{install_id}/action-workflows/runs \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "action_workflow_config_id": "<string>",
  "role": "<string>",
  "run_env_vars": {}
}
'
{
  "workflow_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.nuon.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Type "Bearer" followed by a space and token.

Path Parameters

install_id
string
required

install ID

Body

application/json

Input

action_workflow_config_id
string
required
role
string
run_env_vars
object

Response

Created

workflow_id
string